Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_Reactive_ConsumerEC_Control_Adapter Class Reference

Forwards timeout events to the Reactive ConsumerControl. More...

`#include <ECG_Reactive_ConsumerEC_Control.h>`

Inheritance diagram for TAO_ECG_Reactive_ConsumerEC_Control_Adapter:

[legend]
Collaboration diagram for TAO_ECG_Reactive_ConsumerEC_Control_Adapter:

[legend]
List of all members.

## Public Methods
| TAO_ECG_Reactive_ConsumerEC_Control_Adapter (TAO_ECG_Reactive_ConsumerEC_Control *adaptee)
| Constructor.
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *arg=0)
## Private Attributes
TAO_ECG_Reactive_ConsumerEC_Control * | adaptee_
| The adapted object.

## Detailed Description

Forwards timeout events to the Reactive ConsumerControl.

The Reactive ConsumerControl strategy uses the reactor to periodically wakeup and verify the state of the consumers registered with the Event Channel.

## Constructor & Destructor Documentation

TAO_ECG_Reactive_ConsumerEC_Control_Adapter::TAO_ECG_Reactive_ConsumerEC_Control_Adapter | ( | TAO_ECG_Reactive_ConsumerEC_Control * | adaptee | ) |

| Constructor.

## Member Function Documentation

int TAO_ECG_Reactive_ConsumerEC_Control_Adapter::handle_timeout | ( | const ACE_Time_Value & | tv,
|  | const void * | arg = 0
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

## Member Data Documentation

TAO_ECG_Reactive_ConsumerEC_Control* TAO_ECG_Reactive_ConsumerEC_Control_Adapter::adaptee_`[private]`

| The adapted object.

The documentation for this class was generated from the following files:

- ECG_Reactive_ConsumerEC_Control.h
- ECG_Reactive_ConsumerEC_Control.cpp